aboutsummaryrefslogtreecommitdiffstats
path: root/debian/tests/test-server-client
diff options
context:
space:
mode:
authorPetter Reinholdtsen <pere@hungry.com>2014-08-29 23:09:45 +0200
committerPetter Reinholdtsen <pere@hungry.com>2014-08-29 23:11:37 +0200
commit7de7f803b7ac58573d82b9dd8c3c9af362296431 (patch)
treec38343dbb0c235cb7c39ba3b7f2ca97db1054271 /debian/tests/test-server-client
parent0e6f5e1cf53ae20ef6f6166c537c7cfff8796133 (diff)
downloadsitesummary-7de7f803b7ac58573d82b9dd8c3c9af362296431.tar.gz
sitesummary-7de7f803b7ac58573d82b9dd8c3c9af362296431.tar.bz2
sitesummary-7de7f803b7ac58573d82b9dd8c3c9af362296431.tar.xz
Add simple autopkgtest check script to verify that the server is working and the client can submit to it.
Diffstat (limited to 'debian/tests/test-server-client')
-rw-r--r--debian/tests/test-server-client25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/tests/test-server-client b/debian/tests/test-server-client
new file mode 100644
index 0000000..4f44cf5
--- /dev/null
+++ b/debian/tests/test-server-client
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# More on tests available from
+# http://anonscm.debian.org/cgit/autopkgtest/autopkgtest.git/tree/doc/README.package-tests.rst
+set -e
+
+at_exit() {
+ echo "info: terminating script"
+}
+
+trap at_exit INT TERM EXIT
+
+chroot_test() {
+}
+
+# Use predictable language setting.
+LC_ALL=C
+export LC_ALL
+
+# Installing the binaries should set up apache on localhost and the cgi script
+# for the sitesummary collector.
+
+sitesummary-client
+
+find /var/lib/sitesummary